AsymmetricAlgorithmProvider (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.jcajce.provider.util

## Class AsymmetricAlgorithmProvider

- java.lang.Object
- - org.bouncycastle.jcajce.provider.util.AlgorithmProvider
  - - org.bouncycastle.jcajce.provider.util.AsymmetricAlgorithmProvider

- Direct Known Subclasses:
    BC.Mappings, DH.Mappings, DSA.Mappings, DSTU4145.Mappings, EC.Mappings, ECGOST.Mappings, ElGamal.Mappings, GOST.Mappings, IES.Mappings, McEliece.Mappings, PKCS12.Mappings, Rainbow.Mappings, RSA.Mappings, X509.Mappings

      public abstract class AsymmetricAlgorithmProvider
      extends AlgorithmProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsymmetricAlgorithmProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addSignatureAlgorithm(ConfigurableProvider provider, java.lang.String digest, java.lang.String algorithm, java.lang.String className, ASN1ObjectIdentifier oid)`
    `protected void` | `registerOid(ConfigurableProvider provider, ASN1ObjectIdentifier oid, java.lang.String name, AsymmetricKeyInfoConverter keyFactory)`
    `protected void` | `registerOidAlgorithmParameters(ConfigurableProvider provider, ASN1ObjectIdentifier oid, java.lang.String name)`

    - ### Methods inherited from class org.bouncycastle.jcajce.provider.util.AlgorithmProvider

      `configure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsymmetricAlgorithmProvider

          public AsymmetricAlgorithmProvider()

  - ### Method Detail

    - #### addSignatureAlgorithm

          protected void addSignatureAlgorithm(ConfigurableProvider provider,
                                   java.lang.String digest,
                                   java.lang.String algorithm,
                                   java.lang.String className,
                                   ASN1ObjectIdentifier oid)

    - #### registerOid

          protected void registerOid(ConfigurableProvider provider,
                         ASN1ObjectIdentifier oid,
                         java.lang.String name,
                         AsymmetricKeyInfoConverter keyFactory)

    - #### registerOidAlgorithmParameters

          protected void registerOidAlgorithmParameters(ConfigurableProvider provider,
                                            ASN1ObjectIdentifier oid,
                                            java.lang.String name)